# Generated by Django 3.1.2 on 2021-03-08 16:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='entrez le nom de la catégorie', max_length=200)),
                ('image_url', models.CharField(help_text='entrez un lien vers votre image', max_length=2048)),
            ],
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text="entrez le titre de l'article", max_length=200)),
                ('summary', models.CharField(help_text='entrez le résumé', max_length=2000)),
                ('content', models.CharField(help_text='entrez le contenu', max_length=2000)),
                ('category', models.ForeignKey(help_text='choisir votre categorie', null=True, on_delete=django.db.models.deletion.SET_NULL, to='article.category')),
            ],
        ),
    ]
